package view;

import javax.swing.*;
import java.awt.*;
import java.net.UnknownHostException;

import network.*;

public class ServerView {
	
	private JLabel serverDetails;
	private JTextArea log;
	private UDPPacketManager udp;
	private JFrame frame;
	private Container panel;
	
	public ServerView()
	{
		frame = new JFrame("P2P Server");
		log = new JTextArea();
		serverDetails = new JLabel();
		panel = frame.getContentPane();
		
		panel.setLayout(new BorderLayout());
		panel.add(log, BorderLayout.CENTER);
		panel.add(serverDetails, BorderLayout.NORTH);
		frame.setSize(400,200);
	}
	
	public void initialise()
	{
		try {
			serverDetails.setText("Server Address: " + udp.getServerAddress()
					+ ", Server Port: " + udp.getServerPort());
		} catch (UnknownHostException e) {
			
		}
		frame.setVisible(true);
	}
	
	public void logMessage(String message)
	{
		log.append(message + "\n");
	}
	
	public void initUDP(UDPPacketManager udp)
	{
		this.udp = udp;
	}
}
